import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as w } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, h = Object.getOwnPropertyDescriptor, p = (c, e, s, o) => {
  for (var r = o > 1 ? void 0 : o ? h(e, s) : e, n = c.length - 1, i; n >= 0; n--)
    (i = c[n]) && (r = (o ? i(e, s, r) : i(r)) || r);
  return o && r && g(e, s, r), r;
};
let t = class extends w {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--arrowDownLarge", this.class = "c-pieIcon c-pieIcon--arrowDownLarge", this.name = "IconArrowDownLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--arrowDownLarge"><path d="M15.125 3.75v21.875l-7-7-1.242 1.207 7.875 7.875a1.75 1.75 0 0 0 2.476 0l7.875-7.875-1.234-1.207-7 7V3.75z"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], t.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = p([
  f("icon-arrow-down-large")
], t);
export {
  t as IconArrowDownLarge
};
